# Omniauth::TxSSC
> OmniAuth Strategy for the TxSSC SSO

## Installation

Add this line to your application's Gemfile:

```shell
gem 'omniauth-txssc'
```

And then execute:

```shell
bundle
```

## Usage

#### Sinatra

```ruby
use OmniAuth::Builder do
  provider :txssc, ENV['TXSSC_KEY'], ENV['TXSSC_SECRET']
end
```

#### Rails

```ruby
Rails.application.config.middleware.use OmniAuth::Builder do
  provider :txssc, ENV['TXSSC_KEY'], ENV['TXSSC_SECRET']
end
```

## License (MIT)
Copyright (c) 2013 TxSSC