require File.expand_path('../lib/omniauth-txssc/version', __FILE__)

Gem::Specification.new do |gem|
  gem.add_dependency 'omniauth', '~> 1.8'
  gem.add_dependency 'omniauth-oauth2', '~> 1.5'

  gem.authors       = ["vanetix", "Cottonwoods", "willdcee"]
  gem.email         = ["matmcfarland@gmail.com", "kirby.k6@gmail.com", "willdcee@gmail.com"]
  gem.description   = "Provides an OmniAuth strategy for the TxSSC OAuth2 SSO"
  gem.summary       = "An OmniAuth strategy for TxSSC"
  gem.homepage      = "https://github.com/TxSSC/omniauth-txssc"
  gem.license       = "MIT"

  gem.files         = `git ls-files`.split($\)
  gem.executables   = gem.files.grep(%r{^bin/}).map{ |f| File.basename(f) }
  gem.test_files    = gem.files.grep(%r{^(test|spec|features)/})
  gem.name          = "omniauth-txssc"
  gem.require_paths = ["lib"]
  gem.version       = Omniauth::TxSSC::VERSION
end
